Index: pom.xml
===================================================================
--- pom.xml	(revision 1562)
+++ pom.xml	(revision 1563)
@@ -6,7 +6,7 @@
 	<packaging>pom</packaging>
 	<name>org.gvsig.geoprocess</name>
 	<description>Geoprocessing projects</description>
-	<version>2.2.182</version>
+	<version>2.2.183-SNAPSHOT</version>
 
 	<parent>
 		<groupId>org.gvsig</groupId>
@@ -22,9 +22,9 @@
     <gvsig.tools.version>3.0.301</gvsig.tools.version>
 	</properties>
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-geoprocess/org.gvsig.geoprocess/tags/org.gvsig.geoprocess-2.2.182</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-geoprocess/org.gvsig.geoprocess/tags/org.gvsig.geoprocess-2.2.182</developerConnection>
-		<url>https://devel.gvsig.org/redmine/projects/gvsig-geoprocess/repository/show/org.gvsig.geoprocess/tags/org.gvsig.geoprocess-2.2.182</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-geoprocess/org.gvsig.geoprocess/trunk/org.gvsig.geoprocess</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-geoprocess/org.gvsig.geoprocess/trunk/org.gvsig.geoprocess</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-geoprocess/repository/show/org.gvsig.geoprocess/trunk/org.gvsig.geoprocess</url>
 	</scm>
 
 	<repositories>
@@ -71,102 +71,102 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.app.mainplugin</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.lib.api</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.lib.sextante</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.base</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.buffer</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.clip</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.convexhull</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.difference</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.dissolve</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.fusespatially</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.intersection</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.merge</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.reproject</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.spatialjoin</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.union</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.xyshift</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.groupby</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.lateralbuffer</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.geoprocess.algorithm.splitlines</artifactId>
-				<version>2.2.182</version>
+				<version>2.2.183-SNAPSHOT</version>
 			</dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.geoprocess.algorithm.dispersepoints</artifactId>
-        <version>2.2.182</version>
+        <version>2.2.183-SNAPSHOT</version>
       </dependency>
 			<dependency>
 				<groupId>org.japura</groupId>