Index: org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/java/org/gvsig/vcsgis/lib/impl/server/TestS05Update.java
===================================================================
--- org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/java/org/gvsig/vcsgis/lib/impl/server/TestS05Update.java	(revision 0)
+++ org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/java/org/gvsig/vcsgis/lib/impl/server/TestS05Update.java	(revision 2823)
@@ -0,0 +1,189 @@
+package org.gvsig.vcsgis.lib.impl.server;
+
+import java.io.ByteArrayInputStream;
+import java.io.ByteArrayOutputStream;
+import java.io.File;
+import java.io.InputStream;
+import java.net.URL;
+import java.sql.Timestamp;
+import java.util.List;
+import java.util.Map;
+import junit.framework.TestCase;
+import static junit.framework.TestCase.assertEquals;
+import static junit.framework.TestCase.assertNotNull;
+import org.apache.commons.io.FileUtils;
+import org.apache.commons.io.IOUtils;
+import org.apache.commons.lang3.StringUtils;
+import org.gvsig.expressionevaluator.Expression;
+import org.gvsig.fmap.dal.feature.EditableFeature;
+import org.gvsig.fmap.dal.feature.Feature;
+import org.gvsig.fmap.dal.feature.FeatureStore;
+import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;
+import org.gvsig.tools.dispose.DisposeUtils;
+import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;
+import org.gvsig.vcsgis.lib.SequentialCodeGenerator;
+import org.gvsig.vcsgis.lib.VCSGisEntity;
+import org.gvsig.vcsgis.lib.VCSGisLocator;
+import org.gvsig.vcsgis.lib.VCSGisManager;
+import static org.gvsig.vcsgis.lib.VCSGisManager.ERR_NO_ERROR;
+import org.gvsig.vcsgis.lib.impl.TestUtils;
+import org.gvsig.vcsgis.lib.repository.VCSGisRepository;
+import org.gvsig.vcsgis.lib.repository.VCSGisRepositoryChange;
+import org.gvsig.vcsgis.lib.repository.remoteclient.requests.CheckoutRequestClient;
+import org.gvsig.vcsgis.lib.repository.remoteclient.requests.UpdateRequestClient;
+import org.gvsig.vcsgis.lib.server.VCSGisServerHandler;
+import org.gvsig.vcsgis.lib.server.handlers.CheckoutHandler;
+import org.gvsig.vcsgis.lib.server.handlers.UpdateHandler;
+import org.gvsig.vcsgis.lib.workspace.VCSGisWorkspace;
+import org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceChanges;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+
+public class TestS05Update extends TestCase {
+
+    private static final Logger LOGGER = LoggerFactory.getLogger(TestS05Update.class);
+
+    public TestS05Update(String testName) {
+        super(testName);
+    }
+
+    @Override
+    protected void setUp() throws Exception {
+        super.setUp();
+        new DefaultLibrariesInitializer().fullInitialize();
+    }
+
+    @Override
+    protected void tearDown() throws Exception {
+        super.tearDown();
+    }
+
+    // TODO add test methods here. The name must begin with 'test'. For example:
+    // public void testHello() {}
+
+    public void testUpdate() throws Exception {
+        final String testid = "ServerCheckout";
+        final URL serverUrl = new URL("http://localhost:9810/");
+        
+        VCSGisManager manager = VCSGisLocator.getVCSGisManager();
+        manager.setCodeGenerator(new SequentialCodeGenerator());
+        
+        JDBCServerExplorerParameters serverParameters = TestUtils.getServerExplorerParameters("srv-"+testid);
+        File ws1file = TestUtils.getFile(FileUtils.getFile("test-dbs","ws1-"+testid)); 
+        File ws2file = TestUtils.getFile(FileUtils.getFile("test-dbs","ws2-"+testid)); 
+
+        int r;
+        Feature f;
+        EditableFeature ef;
+        List<Feature> features;
+        FeatureStore store1;
+        FeatureStore store2;
+        
+        // ------------------------------------------------------------
+        // Inicializamos el repositorio y lo abrimos
+        r = manager.initRepository(serverParameters, null);
+        assertEquals("init_server status", ERR_NO_ERROR, r);
+        
+        VCSGisRepository repoLocaldb = manager.openRepository(serverParameters);
+        TestUtils.h2sql_repository(repoLocaldb);
+
+        // ------------------------------------------------------------
+        // Creamos workspace1 y lo abrimos.
+        r = manager.initWorkspace(ws1file, repoLocaldb, "Test update1",null);
+        assertEquals("init_ws1 status", ERR_NO_ERROR, r);
+        
+        VCSGisWorkspace ws1 = manager.openWorkspace(ws1file);
+        TestUtils.h2sql_workspace(ws1);
+
+        // ------------------------------------------------------------
+        // Adicionamos al workspace1 la tabla "test" y la commitamos.
+        FeatureStore sourceTest = TestUtils.openSourceStore2();
+        r = ws1.add("test", sourceTest, "text");
+        assertEquals("ws1.add status", ERR_NO_ERROR, r);
+        r = ws1.commit();
+        assertEquals("ws1.commit-1 status", ERR_NO_ERROR, r);
+        DisposeUtils.disposeQuietly(sourceTest);
+
+        
+        // ------------------------------------------------------------
+        // Inicializamos el workspace2 asociandolo al mismo repositorio que 
+        // workspace1 y lo abrimos.
+        r = manager.initWorkspace(ws2file, repoLocaldb, "Test update2",null);
+        assertEquals("init_ws2 status", ERR_NO_ERROR, r);
+        VCSGisWorkspace ws2 = manager.openWorkspace(ws2file);
+        TestUtils.h2sql_workspace(ws2);
+        
+        // ------------------------------------------------------------
+        // Hacemos un checkout en workspace2 de la tabla "test" 
+        // y comprobamos que tiene lo que toca.
+        r = ws2.checkout("test");
+        assertEquals("ws2-checkout status", ERR_NO_ERROR, r);
+       
+        VCSGisEntity entity = ws2.getWorkspaceEntityByName("test");
+        assertNotNull("ws2.update-1 entity", entity);
+        assertEquals("ws2.update-1 label", "text", entity.getFieldForLabel());
+
+        store2 = ws2.getFeatureStore("test");
+        assertEquals("ws2-checkout sizes", 3, store2.size64());
+        features = store2.getFeatures((Expression)null, "id", true);
+        assertEquals(1    , features.get(0).getInt("id"));
+        assertEquals("AAA", features.get(0).getString("text"));
+        assertEquals(2    , features.get(1).getInt("id"));
+        assertEquals("BBB", features.get(1).getString("text"));
+        assertEquals(3    , features.get(2).getInt("id"));
+        assertEquals("CCC", features.get(2).getString("text"));
+        
+        DisposeUtils.disposeQuietly(store2);
+
+        // ------------------------------------------------------------
+        // Modificamos la tabla "test" en el workspace1 y la commitamos.
+        store1 = ws1.getFeatureStore("test");
+        store1.edit();
+        f = store1.findFirst("id=2");
+        ef = f.getEditable();
+        ef.set("text", "BB2");
+        store1.update(ef);
+        
+        ef = store1.createNewFeature();
+        ef.set("id",4);
+        ef.set("text","DDD");
+        store1.insert(ef);
+        store1.finishEditing();
+        DisposeUtils.disposeQuietly(store1);
+        r = ws1.commit(Timestamp.valueOf("2020-02-17 10:11:12.123"), "Insertado DDD y modificado BBB a BB2", null);
+        assertEquals("ws1.commit-2 status", ERR_NO_ERROR, r);
+        
+        String localRevisionCode = ws2.getWorkspaceEntity("test").getRepositoryRevisionCode();
+        assertEquals("ws2 localRevisionCode", "00000000000015abcdef0123456789", localRevisionCode);
+        
+        ws1.dispose();
+        ws2.dispose();
+        ws1 = null;
+        ws2 = null;
+        
+        // -------------------------
+        // Check that the UpdateRequestClient produce the expected json output
+        Map<String, String> expected = TestUtils.getExpecteds("S05Update.txt");
+
+        VCSGisRepository repoRemote = manager.openRepository(serverUrl);
+        UpdateRequestClient request = (UpdateRequestClient) repoRemote.createUpdateRequest("test");
+        request.setLocalRevisionCode(localRevisionCode);
+        
+        ByteArrayOutputStream request_stream = new ByteArrayOutputStream(10024);
+        request.requestProducer(request_stream);
+        String request_s = request_stream.toString().trim();
+        assertEquals("request data", expected.get("request"), request_s);
+        
+        // -------------------------
+        // Check that CheckoutHandler produce the expected json as response to request
+        ByteArrayInputStream is = new ByteArrayInputStream(request_stream.toByteArray());
+        VCSGisServerHandler handler = new UpdateHandler(repoLocaldb);
+        InputStream response_stream = handler.handle(is);
+                
+        String response_s = StringUtils.join(IOUtils.readLines(response_stream),'\n').trim();
+        assertEquals("response data", expected.get("response"), response_s);
+
+
+    }
+}
Index: org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/resources/org/gvsig/vcsgis/lib/impl/expecteds/S05Update.txt
===================================================================
--- org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/resources/org/gvsig/vcsgis/lib/impl/expecteds/S05Update.txt	(revision 0)
+++ org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/test/resources/org/gvsig/vcsgis/lib/impl/expecteds/S05Update.txt	(revision 2823)
@@ -0,0 +1,60 @@
+
+@rem ----------------------------------------------------------------
+@rem TestS05Update.java
+@rem Values to check request and response of update request
+@rem ----------------------------------------------------------------
+
+@begin request
+@rem The client request of a update request for this test
+{
+    "Parameters":{
+        "EntityName":"test",
+        "LocalRevisionCode":"00000000000015abcdef0123456789"
+    }
+}
+@end request
+
+@begin response
+@rem The server response of checkout request for this test 
+{
+    "Parameters":{
+        "StatusCode":0,
+        "StatusMessage":"_No_errors",
+        "Entity":{
+            "DataTableName":"VCSGIS_DATA",
+            "Description":"",
+            "EntityCode":"00000000000003abcdef0123456789",
+            "EntityName":"test",
+            "FeatureIdFieldName":"VCSGISCODE",
+            "FeatureTypeAsJson":"\n{\n    \"__classname__\":\"org.gvsig.fmap.dal.feature.impl.DefaultFeatureType\",\n    \"id\":\"testSource2\",\n    \"internalID\":\"7c54a6bc\",\n    \"label\":null,\n    \"description\":null,\n    \"allowAtomaticValues\":false,\n    \"hasOID\":false,\n    \"defaultGeometryAttributeName\":null,\n    \"defaultTimeAttributeName\":null,\n    \"tags\":{\n        \"__classname__\":\"org.gvsig.tools.dynobject.impl.DefaultTags\"\n    },\n    \"extraColumns\":{\n        \"__classname__\":\"org.gvsig.fmap.dal.feature.impl.DefaultFeatureExtraColumns\",\n        \"extraColumns\":[\n        ]\n    },\n    \"descriptors\":[\n        {\n            \"__classname__\":\"org.gvsig.fmap.dal.feature.impl.DefaultFeatureAttributeDescriptor\",\n            \"name\":\"id\",\n            \"description\":null,\n            \"label\":null,\n            \"shortLabel\":null,\n            \"order\":0,\n            \"groupName\":null,\n            \"dataType\":{\n                \"__classname__\":\"org.gvsig.tools.dataTypes.impl.DefaultDataType\",\n                \"name\":\"Integer\",\n                \"type\":4,\n                \"subtype\":null\n            },\n            \"size\":0,\n            \"precision\":10,\n            \"scale\":0,\n            \"roundMode\":4,\n            \"allowNull\":false,\n            \"primaryKey\":false,\n            \"readOnly\":false,\n            \"isAutomatic\":false,\n            \"isTime\":false,\n            \"indexed\":true,\n            \"isIndexAscending\":true,\n            \"allowIndexDuplicateds\":false,\n            \"hidden\":false,\n            \"avoidCachingAvailableValues\":false,\n            \"geometryType\":null,\n            \"srs\":null,\n            \"relationType\":0,\n            \"displaySize\":0,\n            \"locale\":{\n                \"__classname__\":\"java.util.Locale\",\n                \"languageTag\":\"en\"\n            },\n            \"expression\":null,\n            \"availableValuesExpression\":null,\n            \"defaultValue\":\"\",\n            \"dataProfile\":null,\n            \"tags\":{\n                \"__classname__\":\"org.gvsig.tools.dynobject.impl.DefaultTags\"\n            },\n            \"availableValues\":null,\n            \"additionalInfo\":null\n        },\n        {\n            \"__classname__\":\"org.gvsig.fmap.dal.feature.impl.DefaultFeatureAttributeDescriptor\",\n            \"name\":\"text\",\n            \"description\":null,\n            \"label\":null,\n            \"shortLabel\":null,\n            \"order\":10,\n            \"groupName\":null,\n            \"dataType\":{\n                \"__classname__\":\"org.gvsig.tools.dataTypes.impl.DefaultDataType\",\n                \"name\":\"String\",\n                \"type\":8,\n                \"subtype\":null\n            },\n            \"size\":100,\n            \"precision\":-1,\n            \"scale\":-1,\n            \"roundMode\":4,\n            \"allowNull\":true,\n            \"primaryKey\":false,\n            \"readOnly\":false,\n            \"isAutomatic\":false,\n            \"isTime\":false,\n            \"indexed\":false,\n            \"isIndexAscending\":true,\n            \"allowIndexDuplicateds\":true,\n            \"hidden\":false,\n            \"avoidCachingAvailableValues\":false,\n            \"geometryType\":null,\n            \"srs\":null,\n            \"relationType\":0,\n            \"displaySize\":0,\n            \"locale\":{\n                \"__classname__\":\"java.util.Locale\",\n                \"languageTag\":\"en\"\n            },\n            \"expression\":null,\n            \"availableValuesExpression\":null,\n            \"defaultValue\":\"\",\n            \"dataProfile\":null,\n            \"tags\":{\n                \"__classname__\":\"org.gvsig.tools.dynobject.impl.DefaultTags\"\n            },\n            \"availableValues\":null,\n            \"additionalInfo\":null\n        },\n        {\n            \"__classname__\":\"org.gvsig.fmap.dal.feature.impl.DefaultFeatureAttributeDescriptor\",\n            \"name\":\"VCSGISCODE\",\n            \"description\":null,\n            \"label\":\"VCSGIS Code\",\n            \"shortLabel\":null,\n            \"order\":20,\n            \"groupName\":null,\n            \"dataType\":{\n                \"__classname__\":\"org.gvsig.tools.dataTypes.impl.DefaultDataType\",\n                \"name\":\"String\",\n                \"type\":8,\n                \"subtype\":null\n            },\n            \"size\":40,\n            \"precision\":-1,\n            \"scale\":-1,\n            \"roundMode\":4,\n            \"allowNull\":true,\n            \"primaryKey\":true,\n            \"readOnly\":false,\n            \"isAutomatic\":false,\n            \"isTime\":false,\n            \"indexed\":true,\n            \"isIndexAscending\":true,\n            \"allowIndexDuplicateds\":false,\n            \"hidden\":false,\n            \"avoidCachingAvailableValues\":false,\n            \"geometryType\":null,\n            \"srs\":null,\n            \"relationType\":0,\n            \"displaySize\":0,\n            \"locale\":{\n                \"__classname__\":\"java.util.Locale\",\n                \"languageTag\":\"es-ES\"\n            },\n            \"expression\":null,\n            \"availableValuesExpression\":null,\n            \"defaultValue\":\"\",\n            \"dataProfile\":null,\n            \"tags\":{\n                \"__classname__\":\"org.gvsig.tools.dynobject.impl.DefaultTags\"\n            },\n            \"availableValues\":null,\n            \"additionalInfo\":null\n        }\n    ]\n}",
+            "FieldForLabel":"text",
+            "GeometryFieldName":null,
+            "RevisionCode":"00000000000032abcdef0123456789",
+            "TopologyPlanCode":null,
+            "UserCode":null
+        }
+    },
+    "Data":[
+        {
+            "DataCode":"00000000000034abcdef0123456789",
+            "EntityCode":"00000000000003abcdef0123456789",
+            "RevisionCode":"00000000000032abcdef0123456789",
+            "RevisionNumber":1,
+            "EfectiveDate":"2020-02-17 10:11:12.123",
+            "Operation":2,
+            "FeatureRelatedCode":"00000000000026abcdef0123456789",
+            "Data":"\n{\n    \"id\":4,\n    \"text\":\"DDD\",\n    \"VCSGISCODE\":\"00000000000026abcdef0123456789\"\n}"
+        },
+        {
+            "DataCode":"00000000000036abcdef0123456789",
+            "EntityCode":"00000000000003abcdef0123456789",
+            "RevisionCode":"00000000000032abcdef0123456789",
+            "RevisionNumber":1,
+            "EfectiveDate":"2020-02-17 10:11:12.123",
+            "Operation":1,
+            "FeatureRelatedCode":"00000000000007abcdef0123456789",
+            "Data":"\n{\n    \"id\":2,\n    \"text\":\"BB2\",\n    \"VCSGISCODE\":\"00000000000007abcdef0123456789\"\n}"
+        }
+    ]
+}
+@end response
Index: org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/CheckoutHandler.java
===================================================================
--- org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/CheckoutHandler.java	(revision 2822)
+++ org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/CheckoutHandler.java	(revision 2823)
@@ -84,6 +84,7 @@
             gen.write("StatusCode", request.getLastErrorCode());
 
             notifyResponseConsumers();
+            gen.flush();
 
             if( StringUtils.isBlank(request.getLastErrorMessage()) ) {
                 gen.writeNull("StatusMessage");
Index: org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/UpdateHandler.java
===================================================================
--- org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/UpdateHandler.java	(revision 2822)
+++ org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/server/handlers/UpdateHandler.java	(revision 2823)
@@ -61,12 +61,16 @@
         JsonReader reader = Json.createReader(request_contents);
         JsonObject jsonRequest = reader.readObject();
         
-        String entityName = jsonRequest.getString("EntityName");
         
+        JsonObject jsonParameters = jsonRequest.getJsonObject("Parameters");
+        String entityName = jsonParameters.getString("EntityName");
+        
         VCSGisUpdateRequest request = this.getRepository().createUpdateRequest(entityName);
-        request.setLocalRevisionCode(jsonRequest.getString("LocalRevisionCode"));
+        request.setLocalRevisionCode(jsonParameters.getString("LocalRevisionCode", null));
+        
         req.setValue(request);
-        
+        notifyRequestConsumers();
+
         LOGGER.debug("===: ["+this.getName()+"] requestProducer 2 notifyRequestConsumers");
         notifyRequestConsumers();
         
@@ -75,19 +79,23 @@
     
     @Override
     protected void responseProducer(VCSGisRequest req, OutputStream response_contents) throws IOException {
-        final VCSGisCheckoutRequest request = (VCSGisCheckoutRequest) req;
+        LOGGER.debug("===: ["+this.getName()+"] responseProducer 1");
+        final VCSGisUpdateRequest request = (VCSGisUpdateRequest) req;
         JsonGenerator gen = null;
         try {
             JsonGeneratorFactory genFactory = Json.createGeneratorFactory(
                 Collections.singletonMap(JsonGenerator.PRETTY_PRINTING, true)
             );
             gen = genFactory.createGenerator(response_contents);
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 2");
             gen.writeStartObject();
 
             gen.writeStartObject("Parameters");
             gen.write("StatusCode", request.getLastErrorCode());
 
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 3");
             notifyResponseConsumers();
+            gen.flush();
 
             if( StringUtils.isBlank(request.getLastErrorMessage()) ) {
                 gen.writeNull("StatusMessage");
@@ -98,23 +106,29 @@
             gen.write("Entity", request.getEntity().toJson());
             gen.writeEnd(); // Paramaters
 
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 4");
             gen.writeStartArray("Data");
             for (VCSGisRepositoryData data : request.getData()) {
                 gen.write(data.toJson());
                 gen.flush();
             }
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 5");
             gen.writeEnd(); // Data
             gen.writeEnd(); 
             
 
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 6 gen.flush()");
             gen.flush();
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 7 response_contents.flush()");
             response_contents.flush();
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer 8 end");
             
                         
         } catch (Exception ex) {
             LOGGER.warn("Can't produce Json data for "+this.getName()+" response.",ex);
 
         } finally {
+            LOGGER.debug("===: ["+this.getName()+"] responseProducer finally");
             IOUtils.closeQuietly(gen);
             IOUtils.closeQuietly(response_contents);
         }
Index: org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/repository/remoteclient/requests/UpdateRequestClient.java
===================================================================
--- org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/repository/remoteclient/requests/UpdateRequestClient.java	(revision 2822)
+++ org.gvsig.vcsgis/trunk/org.gvsig.vcsgis/org.gvsig.vcsgis.lib/org.gvsig.vcsgis.lib.impl/src/main/java/org/gvsig/vcsgis/lib/repository/remoteclient/requests/UpdateRequestClient.java	(revision 2823)
@@ -91,11 +91,16 @@
     @Override
     public void requestProducer(OutputStream out) {
         try {
+            LOGGER.debug("===: ["+this.getRequestName()+"] requestProducer 1");
+            
+            JsonObjectBuilder parametersBuilder = Json.createObjectBuilder();
+            
+            parametersBuilder.add("EntityName", this.getEntityName());
+            parametersBuilder.add("LocalRevisionCode", this.getLocalRevisionCode());
+            
             JsonObjectBuilder builder = Json.createObjectBuilder();
-            builder.add("EntityName", this.getEntityName());
-            builder.add("LocalRevisionCode", this.getLocalRevisionCode());
-           
-            this.notifyRequestConsumers();
+            builder.add("Parameters", parametersBuilder);
+            
             IOUtils.write(builder.toString(), out);
             
             error(ERR_OK);