Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/pom.xml	(revision 5762)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.lib</artifactId>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.api/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.api/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.api/pom.xml	(revision 5762)
@@ -6,7 +6,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap.lib</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
 
   <build>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.impl/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.impl/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.lib/org.gvsig.legend.heatmap.lib.impl/pom.xml	(revision 5762)
@@ -5,7 +5,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap.lib</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <dependencies>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.impl/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.impl/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.impl/pom.xml	(revision 5762)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap.swing</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.swing.impl</artifactId>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/pom.xml	(revision 5762)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.swing</artifactId>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.api/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.api/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.swing/org.gvsig.legend.heatmap.swing.api/pom.xml	(revision 5762)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap.swing</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.swing.api</artifactId>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/pom.xml	(revision 5762)
@@ -2,7 +2,7 @@
   <modelVersion>4.0.0</modelVersion>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap</artifactId>
-  <version>1.0.99-SNAPSHOT</version>
+  <version>1.0.99</version>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
   <description>Legend for heat maps.</description>
@@ -14,9 +14,9 @@
 
   <url>https://devel.gvsig.org/sites/org.gvsig.legend.heatmap/${project.version}</url>
   <scm>
-    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.heatmap/trunk/${project.artifactId}</connection>
-    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.heatmap/trunk/${project.artifactId}</developerConnection>
-    <url>https://devel.gvsig.org/redmine/projects/gvsig-base-legends/repository/show/org.gvsig.legend.heatmap/trunk/${project.artifactId}</url>
+    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.heatmap/tags/org.gvsig.legend.heatmap-1.0.99</connection>
+    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-base-legends/org.gvsig.legend.heatmap/tags/org.gvsig.legend.heatmap-1.0.99</developerConnection>
+    <url>https://devel.gvsig.org/redmine/projects/gvsig-base-legends/repository/show/org.gvsig.legend.heatmap/tags/org.gvsig.legend.heatmap-1.0.99</url>
   </scm>
   <repositories>
     <repository>
@@ -62,27 +62,27 @@
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.heatmap.lib.api</artifactId>
-        <version>1.0.99-SNAPSHOT</version>
+        <version>1.0.99</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.heatmap.lib.impl</artifactId>
-        <version>1.0.99-SNAPSHOT</version>
+        <version>1.0.99</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.heatmap.swing.api</artifactId>
-        <version>1.0.99-SNAPSHOT</version>
+        <version>1.0.99</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.heatmap.swing.impl</artifactId>
-        <version>1.0.99-SNAPSHOT</version>
+        <version>1.0.99</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.legend.heatmap.app.mainplugin</artifactId>
-        <version>1.0.99-SNAPSHOT</version>
+        <version>1.0.99</version>
       </dependency>
     </dependencies>
   </dependencyManagement>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/org.gvsig.legend.heatmap.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/org.gvsig.legend.heatmap.app.mainplugin/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/org.gvsig.legend.heatmap.app.mainplugin/pom.xml	(revision 5762)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap.app</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.app.mainplugin</artifactId>
-  <version>1.0.99-SNAPSHOT</version>
+  <version>1.0.99</version>
   <name>org.gvsig.legend.heatmap.app.mainplugin</name>
 
     <properties>
Index: org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/pom.xml
===================================================================
--- org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/pom.xml	(revision 5761)
+++ org.gvsig.legend.heatmap/trunk/org.gvsig.legend.heatmap/org.gvsig.legend.heatmap.app/pom.xml	(revision 5762)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.legend.heatmap</artifactId>
-    <version>1.0.99-SNAPSHOT</version>
+    <version>1.0.99</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.legend.heatmap.app</artifactId>